/* This style sheet has been separated from style.css */

/* This is because it is rendered in the back end by the flexible content render preview for slide modules */

/* Moving these styles somewhere else will likely break the backend ACF for the module post type */

/* ============ Containers ============ */

.flex-row {
  display: flex;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.grid {
  display: grid;
}

/* ============ Utils ============ */

.background {
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  object-fit: cover;
  height: 100%;
  object-position: center;
}

/* ============ Banner ============ */

.block.banner {
  position: relative;
  width: 100%;
  aspect-ratio: 752/489;
}

.block.banner .background {
  object-fit: cover;
  width: 100%;
  height: unset;
  z-index: 0;
  aspect-ratio: 752/489;
}

.block.banner .text-container {
  position: absolute;
  top: 20px;
  right: 20px;
  gap: 15px;
  background: white;
  padding: 15px;
  width: 50%;
}

.block.banner .text-container .text {
  color: #000;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px; /* 175% */
}

/* ============ Text Row ============ */

.block.text-row {
  margin-block: 60px;
  align-items: center;
}

.block.text-row .wrapper {
  width: 85%;
  justify-content: space-between;
  align-items: start;
}

.block.text-row:nth-child(2n) .wrapper {
  flex-direction: row-reverse;
}

.text-row .text {
  width: 46%;
}

.block.text-row .main-image {
  aspect-ratio: 300/169;
  width: 45%;
  border-radius: 20px;
}

/* ============ Image with Text ============ */

.block.image-with-text.blue {
  background: linear-gradient(180deg, #205c71 0%, #186e8b 100%);
}

.block.image-with-text.blue * {
  color: white;
}

.block.image-with-text {
  align-items: center;
  padding-block: 50px;
}

.block.image-with-text .wrapper {
  justify-content: space-between;
  align-items: center;
  width: 85%;
}

.block.image-with-text .main-image {
  width: 40%;
  object-fit: cover;
  aspect-ratio: 1;
}

.block.image-with-text .text {
  width: 35%;
  gap: 25px;
}
